
Ceph - Bug #2664

osd: extra attr _path, extra attr snapset from scrub

06/27/2012 02:11 PM - Sage Weil

Status: Resolved % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee:    

Category: OSD   

Target version:    

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

ceph-sha1: e34dfc3b6ab0e2f5b6d9fb14577df82e3f51a222

duration: 255.9342520236969

failure_reason: '"2012-06-27 03:02:38.270128 osd.1 10.214.131.21:6803/15630 1 : [ERR]

  1.3 osd.0: soid c5265ab3/100.00000000/head//1 extra attr _path, extra attr snapset" 

  in cluster log'

flavor: basic

owner: sage@metropolis

success: false

metropolis:osd_recovery.yaml.out 02:10 PM $ cat config.yaml 

interactive-on-error: true

roles:

- - mon.a

  - mon.b

  - mon.c

  - mds.a

  - osd.0

  - osd.1

  - osd.2

targets:

  ubuntu@plana19.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC0IExVUuQEnwBzUbN6+jg

Eb/qLLsSDFLAe0OPv+R3Q3uUZn+4QjB+FQ3sMMEwaGpEhUfbpWn3xZbCmi4NngTsgPDjImYJPMeMecaxvVXqAJt4IM6gdBN041

5lrKXtbXaGBJCmeFFDB+xN+JN6Qhk8DWN62DnJB8MS5vKn9u0S3HvtGzY/QrnutT3AX9I4097isbTepLFRC4n2CoAC9srXaxAp

rFgLgOIYHm386B3W7yK3yfIImWofvZxYpPCsr/7ws8DSgdRX9eDucGQfY2WcYKCEIgZclGPBhExm7q/ahHUqYKrzWY3RD93AuX

JVgOJk5Yp8C1Ryx8vyJkAxBW4nb

tasks:

- internal.save_config: null

- internal.check_lock: null

- internal.connect: null

- internal.check_conflict: null

- internal.base: null

- internal.archive: null

- internal.coredump: null

- internal.syslog: null

- internal.timer: null

- chef: null

- clock: null

- ceph:

    conf:

      osd:

        debug filestore: 20
        debug ms: 1

        debug osd: 20

        osd min pg log entries: 5

    log-whitelist:

    - wrongly marked me down or wrong addr

    - slow request

- osd_recovery: null

History

#1 - 06/27/2012 02:12 PM - Sage Weil

full logs at metropolis:~sage/bug-2664

#2 - 06/28/2012 10:06 PM - Sage Weil

- Status changed from 12 to Resolved
